# coding: utf-8
#
# Copyright 2022 :Barry-Thomas-Paul: Moss
#
# Licensed under the Apache License, Version 2.0 (the "License")
# you may not use this file except in compliance with the License.
# You may obtain a copy of the License at
#
#     http: // www.apache.org/licenses/LICENSE-2.0
#
# Unless required by applicable law or agreed to in writing, software
# distributed under the License is distributed on an "AS IS" BASIS,
# WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
# See the License for the specific language governing permissions and
# limitations under the License.
#
# Interface Class
# this is a auto generated file generated by Cheetah
# Libre Office Version: 7.3
# Namespace: com.sun.star.io
from typing_extensions import Literal
from .x_input_stream import XInputStream as XInputStream_98d40ab4
from .x_output_stream import XOutputStream as XOutputStream_a4e00b35

class XPipe(XInputStream_98d40ab4, XOutputStream_a4e00b35):
    """
    The implementation of an output stream and an input stream.
    
    All data written through the outputstream is buffered until it is read again from the input stream. Often two different threads access input and outputstream.
    
    With the pipe-service, an outputstream can be converted into an input stream at the cost of an additional buffer.
    
    **since**
    
        LibreOffice 4.0

    See Also:
        `API XPipe <https://api.libreoffice.org/docs/idl/ref/interfacecom_1_1sun_1_1star_1_1io_1_1XPipe.html>`_
    """
    __pyunointerface__: Literal['com.sun.star.io.XPipe']


