# coding: utf-8
#
# Copyright 2022 :Barry-Thomas-Paul: Moss
#
# Licensed under the Apache License, Version 2.0 (the "License")
# you may not use this file except in compliance with the License.
# You may obtain a copy of the License at
#
#     http: // www.apache.org/licenses/LICENSE-2.0
#
# Unless required by applicable law or agreed to in writing, software
# distributed under the License is distributed on an "AS IS" BASIS,
# WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
# See the License for the specific language governing permissions and
# limitations under the License.
#
# Struct Class
# this is a auto generated file generated by Cheetah
# Namespace: com.sun.star.sheet
# Libre Office Version: 7.3
from typing_extensions import Literal
import typing


class MemberResult(object):
    """
    Struct Class

    describes a result of a DataPilot member.
    
    **since**
    
        LibreOffice 5.3

    See Also:
        `API MemberResult <https://api.libreoffice.org/docs/idl/ref/structcom_1_1sun_1_1star_1_1sheet_1_1MemberResult.html>`_
    """
    typeName: Literal['com.sun.star.sheet.MemberResult']

    def __init__(self, Name: typing.Optional[str] = ..., Caption: typing.Optional[str] = ..., Flags: typing.Optional[int] = ..., Value: typing.Optional[float] = ...) -> None:
        """
        Constructor

        Arguments:
            Name (str, optional): Name value.
            Caption (str, optional): Caption value.
            Flags (int, optional): Flags value.
            Value (float, optional): Value value.
        """


    @property
    def Name(self) -> str:
        """
        the internal name of the field.
        """


    @property
    def Caption(self) -> str:
        """
        the visible name of the field.
        """


    @property
    def Flags(self) -> int:
        """
        contains flags describing the result.
        """


    @property
    def Value(self) -> float:
        """
        the underlying numeric value of the field if Flags indicate so by having com.sun.star.sheet.MemberResultFlags.NUMERIC set.
        
        May be NaN if value is not available or unknown.
        
        **since**
        
            LibreOffice 5.3
        """


